## org.hibernate.envers.strategy
Class ValidTimeAuditStrategy

    java.lang.Object
      org.hibernate.envers.strategy.ValidityAuditStrategy
          org.hibernate.envers.strategy.ValidTimeAuditStrategy

All Implemented Interfaces:
  AuditStrategy

Deprecated. use `ValidityAuditStrategy` instead.

    public class ValidTimeAuditStrategy

extends ValidityAuditStrategy

Deprecated Audit strategy class.

Author:
  Stephanie Pau, Adam Warski (adam at warski dot org)

Constructor Summary
`ValidTimeAuditStrategy()` Deprecated. Default constructor.

Method Summary

Methods inherited from class org.hibernate.envers.strategy.ValidityAuditStrategy
`addAssociationAtRevisionRestriction, addEntityAtRevisionRestriction, perform, performCollectionChange, setRevisionTimestampGetter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ValidTimeAuditStrategy

    public ValidTimeAuditStrategy()

  Deprecated.
  Default constructor. Log a warn message that this class is deprecated.

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.